ServerEvents.tags('item', event => {
    event.add('forge:rods/wooden', 'kubejs:kcits')
    
    event.add('exnihilosequentia:pebbles', 'botania:pebble')

    event.add('ars_nouveau:archwood_sapling', 'ars_nouveau:green_archwood_sapling')
    event.add('ars_nouveau:archwood_sapling', 'ars_nouveau:purple_archwood_sapling')
    event.add('ars_nouveau:archwood_sapling', 'ars_nouveau:red_archwood_sapling')
    event.add('ars_nouveau:archwood_sapling', 'ars_nouveau:blue_archwood_sapling')
    event.add('ars_nouveau:archwood_sapling', 'ars_elemental:yellow_archwood_sapling')

    event.add('botania:apothecary', 'botania:apothecary_default')
    event.add('botania:apothecary', 'botania:apothecary_forest')
    event.add('botania:apothecary', 'botania:apothecary_plains')
    event.add('botania:apothecary', 'botania:apothecary_mountain')
    event.add('botania:apothecary', 'botania:apothecary_fungal')
    event.add('botania:apothecary', 'botania:apothecary_swamp')
    event.add('botania:apothecary', 'botania:apothecary_desert')
    event.add('botania:apothecary', 'botania:apothecary_taiga')
    event.add('botania:apothecary', 'botania:apothecary_mesa')
    event.add('botania:apothecary', 'botania:apothecary_mossy')
    event.add('botania:apothecary', 'botania:apothecary_livingrock')
    event.add('botania:apothecary', 'botania:apothecary_deepslate')
    
    event.add('c:oil_bucket', 'immersivepetroleum:crudeoil_bucket')
    event.add('c:oil_bucket', 'thermal:crude_oil_bucket')
    event.add('c:oil_bucket', 'pneumaticcraft:oil_bucket')

    
    event.add('botania:magnet_ring', 'botania:magnet_ring')
    event.add('botania:magnet_ring', 'botania:magnet_ring_greater')
    
    event.add('botania:livingwood_changed', 'minecraft:crimson_stem')
    event.add('botania:livingwood_changed', 'minecraft:warped_stem')
    event.add('botania:livingwood_changed', 'tconstruct:bloodshroom_log')
    event.add('botania:livingwood_changed', 'tconstruct:greenheart_log')
    event.add('botania:livingwood_changed', 'tconstruct:skyroot_log')
    event.add('botania:livingwood_changed', 'tconstruct:enderbark_log')

    event.add('minecraft:budding', 'minecraft:budding_amethyst')
    event.add('minecraft:budding', 'ae2:flawless_budding_quartz')
    event.add('minecraft:budding', 'tconstruct:budding_earth_slime_crystal')
    event.add('minecraft:budding', 'tconstruct:budding_sky_slime_crystal')
    event.add('minecraft:budding', 'tconstruct:budding_ichor_slime_crystal')
    event.add('minecraft:budding', 'tconstruct:budding_ender_slime_crystal')

    event.add('forge:circuits/basic', 'kubejs:electronic_circuit')
    
    event.add('occultism:spirit_attuned', 'occultism:spirit_attuned_gem')
    event.add('occultism:spirit_attuned', 'occultism:spirit_attuned_crystal')

    
    event.add('tconstruct:slime_crystal', 'tconstruct:ichor_slime_crystal')
    event.add('tconstruct:slime_crystal', 'tconstruct:sky_slime_crystal')
    event.add('tconstruct:slime_crystal', 'tconstruct:ender_slime_crystal')
    event.add('tconstruct:slime_crystal', 'tconstruct:earth_slime_crystal')
    
    event.add('powah:crystal_adv', 'powah:crystal_blazing')
    event.add('powah:crystal_adv', 'powah:crystal_niotic')
    event.add('powah:crystal_adv', 'powah:crystal_spirited')
    event.add('powah:crystal_adv', 'powah:crystal_nitro')
    
    event.add('powah:dielectric_rod', 'powah:dielectric_rod')
    event.add('powah:dielectric_rod', 'powah:dielectric_rod_horizontal')
    
    event.add('botanicalmachinery:industrial_agglomeration_factory', 'botanicalmachinery:industrial_agglomeration_factory')
    event.add('botanicalmachinery:industrial_agglomeration_factory', 'botanicalextramachinery:ultimate_industrial_agglomeration_factory')
    event.add('botanicalmachinery:industrial_agglomeration_factory', 'botanicalextramachinery:advanced_industrial_agglomeration_factory')
    event.add('botanicalmachinery:industrial_agglomeration_factory', 'botanicalextramachinery:upgraded_industrial_agglomeration_factory')
    event.add('botanicalmachinery:industrial_agglomeration_factory', 'botanicalextramachinery:base_industrial_agglomeration_factory')
    
    event.add('minecraft:bee_nest', 'minecraft:bee_nest')
    event.add('minecraft:bee_nest', 'minecraft:beehive')
    
    event.add('extrabotany:spirit_ingot', 'extrabotany:photonium_ingot')
    event.add('extrabotany:spirit_ingot', 'extrabotany:shadowium_ingot')

    event.add('botanicalextramachinery:crimson_ingot_craft_1', 'botanicalextramachinery:saffron_ingot_block')
    event.add('botanicalextramachinery:crimson_ingot_craft_1', 'extrabotany:aerialite_ingot')
    event.add('botanicalextramachinery:crimson_ingot_craft_1', 'draconicevolution:awakened_draconium_ingot')
    
    event.add('botanicalextramachinery:crimson_ingot_craft_2', 'botanicalextramachinery:saffron_ingot_block')
    event.add('botanicalextramachinery:crimson_ingot_craft_2', 'extrabotany:aerialite_ingot')
    event.add('botanicalextramachinery:crimson_ingot_craft_2', 'draconicevolution:awakened_draconium_ingot')
    
    event.add('industrialforegoing:laser_lens', 'industrialforegoing:laser_lens0')
    event.add('industrialforegoing:laser_lens', 'industrialforegoing:laser_lens1')
    event.add('industrialforegoing:laser_lens', 'industrialforegoing:laser_lens2')
    event.add('industrialforegoing:laser_lens', 'industrialforegoing:laser_lens3')
    event.add('industrialforegoing:laser_lens', 'industrialforegoing:laser_lens4')
    event.add('industrialforegoing:laser_lens', 'industrialforegoing:laser_lens5')
    event.add('industrialforegoing:laser_lens', 'industrialforegoing:laser_lens6')
    event.add('industrialforegoing:laser_lens', 'industrialforegoing:laser_lens7')
    event.add('industrialforegoing:laser_lens', 'industrialforegoing:laser_lens8')
    event.add('industrialforegoing:laser_lens', 'industrialforegoing:laser_lens9')
    event.add('industrialforegoing:laser_lens', 'industrialforegoing:laser_lens10')
    event.add('industrialforegoing:laser_lens', 'industrialforegoing:laser_lens11')
    event.add('industrialforegoing:laser_lens', 'industrialforegoing:laser_lens12')
    event.add('industrialforegoing:laser_lens', 'industrialforegoing:laser_lens13')
    event.add('industrialforegoing:laser_lens', 'industrialforegoing:laser_lens14')
    event.add('industrialforegoing:laser_lens', 'industrialforegoing:laser_lens15')
})//